//  ************************************************************************************************
//
//  BornAgain: simulate and fit reflection and scattering
//
//! @file      GUI/View/Setup/AxesPanel.h
//! @brief     Defines class AxesPanel.
//!
//! @homepage  http://www.bornagainproject.org
//! @license   GNU General Public License v3 or higher (see COPYING)
//! @copyright Forschungszentrum Jülich GmbH 2018
//! @authors   Scientific Computing Group at MLZ (see CITATION, AUTHORS)
//
//  ************************************************************************************************

#ifndef BORNAGAIN_GUI_VIEW_SETUP_AXESPANEL_H
#define BORNAGAIN_GUI_VIEW_SETUP_AXESPANEL_H

#include "GUI/View/Access/DataPropertyWidget.h"

//! Widget to edit properties of an Data2DItem.

class AxesPanel : public DataPropertyWidget {
    Q_OBJECT
private:
    void createPanelElements() override;
};

#endif // BORNAGAIN_GUI_VIEW_SETUP_AXESPANEL_H
